database_api.list_smt_contributions
since HF23 deprecated
SMT has been abandoned; this RPC method is no longer provided.
Purpose
List SMT contributions. Contributions are needed to track individual contributions on an SMT during the ICO phase. Parameters: start:array; limit:int; order:string
startdepends onorder(see below)limitis up to 1000.ordercan be one of:by_symbol_id- order by symbolby_symbol_contributor- order bysymbol,contributor, andcontribution_id
| start (array) | limit (int) | order (string) | |-------------------|-|-|-|-|-| | [{"nai": "@@422838704", "decimals": 0}, 0] | 10 | by_symbol_id | list 10 contributions, ordered by symbol, id | | [{"nai": "@@422838704", "decimals": 0}, "alice", 0] | 10 | by_symbol_contributor | list 10 contributions, ordered by symbol, contributor, id |
See: Token Units, Vesting Contributions
Also see: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_symbol_id"
}⚠ This method is deprecated (SMT-era) and no longer served by public nodes.
Example
Example 1
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_contributions",
"params": {
"start": [
{
"nai": "@@422838704",
"decimals": 0
},
0
],
"limit": 10,
"order": "by_symbol_id"
},
"id": 1
}'Example 2
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_contributions",
"params": {
"start": [
{
"nai": "@@422838704",
"decimals": 0
},
"alice",
0
],
"limit": 10,
"order": "by_symbol_contributor"
},
"id": 1
}'Response
RESPONSE
json
{
"contributions": [
{
"id": 0,
"symbol": {
"nai": "@@422838704",
"decimals": 0
},
"contributor": "alice",
"contribution_id": 0,
"contribution": {
"amount": "1000",
"precision": 3,
"nai": "@@000000021"
}
}
]
}